﻿//------------------------------------------------------------------------------
// <auto-generated>
//     這段程式碼是由工具產生的。
//     執行階段版本:4.0.30319.42000
//
//     對這個檔案所做的變更可能會造成錯誤的行為，而且如果重新產生程式碼，
//     變更將會遺失。
// </auto-generated>
//------------------------------------------------------------------------------

// 
// 原始程式碼已由 Microsoft.VSDesigner 自動產生，版本 4.0.30319.42000。
// 
#pragma warning disable 1591

namespace Yes.AutoUpdate.Client.Business.AutoUpdateWebService {
    using System;
    using System.Web.Services;
    using System.Diagnostics;
    using System.Web.Services.Protocols;
    using System.Xml.Serialization;
    using System.ComponentModel;
    using System.Data;
    
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2556.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Web.Services.WebServiceBindingAttribute(Name="AutoUpdateServiceSoap", Namespace="http://tempuri.org/")]
    public partial class AutoUpdateService : System.Web.Services.Protocols.SoapHttpClientProtocol {
        
        private System.Threading.SendOrPostCallback GetApplicationVersionOperationCompleted;
        
        private System.Threading.SendOrPostCallback GetNewVersionOperationCompleted;
        
        private System.Threading.SendOrPostCallback ReportUpdateVersionResultOperationCompleted;
        
        private System.Threading.SendOrPostCallback ReportLatestVersionOperationCompleted;
        
        private System.Threading.SendOrPostCallback ReportAppliceationLatestVersionOperationCompleted;
        
        private bool useDefaultCredentialsSetExplicitly;
        
        /// <remarks/>
        public AutoUpdateService() {
            this.Url = global::Yes.AutoUpdate.Client.Business.Properties.Settings.Default.Yes_AutoUpdate_Client_Business_AutoUpdateWebService_AutoUpdateService;
            if ((this.IsLocalFileSystemWebService(this.Url) == true)) {
                this.UseDefaultCredentials = true;
                this.useDefaultCredentialsSetExplicitly = false;
            }
            else {
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        public new string Url {
            get {
                return base.Url;
            }
            set {
                if ((((this.IsLocalFileSystemWebService(base.Url) == true) 
                            && (this.useDefaultCredentialsSetExplicitly == false)) 
                            && (this.IsLocalFileSystemWebService(value) == false))) {
                    base.UseDefaultCredentials = false;
                }
                base.Url = value;
            }
        }
        
        public new bool UseDefaultCredentials {
            get {
                return base.UseDefaultCredentials;
            }
            set {
                base.UseDefaultCredentials = value;
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        /// <remarks/>
        public event GetApplicationVersionCompletedEventHandler GetApplicationVersionCompleted;
        
        /// <remarks/>
        public event GetNewVersionCompletedEventHandler GetNewVersionCompleted;
        
        /// <remarks/>
        public event ReportUpdateVersionResultCompletedEventHandler ReportUpdateVersionResultCompleted;
        
        /// <remarks/>
        public event ReportLatestVersionCompletedEventHandler ReportLatestVersionCompleted;
        
        /// <remarks/>
        public event ReportAppliceationLatestVersionCompletedEventHandler ReportAppliceationLatestVersionCompleted;
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/GetApplicationVersion", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public System.Data.DataTable GetApplicationVersion() {
            object[] results = this.Invoke("GetApplicationVersion", new object[0]);
            return ((System.Data.DataTable)(results[0]));
        }
        
        /// <remarks/>
        public void GetApplicationVersionAsync() {
            this.GetApplicationVersionAsync(null);
        }
        
        /// <remarks/>
        public void GetApplicationVersionAsync(object userState) {
            if ((this.GetApplicationVersionOperationCompleted == null)) {
                this.GetApplicationVersionOperationCompleted = new System.Threading.SendOrPostCallback(this.OnGetApplicationVersionOperationCompleted);
            }
            this.InvokeAsync("GetApplicationVersion", new object[0], this.GetApplicationVersionOperationCompleted, userState);
        }
        
        private void OnGetApplicationVersionOperationCompleted(object arg) {
            if ((this.GetApplicationVersionCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.GetApplicationVersionCompleted(this, new GetApplicationVersionCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/GetNewVersion", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public string GetNewVersion(string ApplicationID) {
            object[] results = this.Invoke("GetNewVersion", new object[] {
                        ApplicationID});
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void GetNewVersionAsync(string ApplicationID) {
            this.GetNewVersionAsync(ApplicationID, null);
        }
        
        /// <remarks/>
        public void GetNewVersionAsync(string ApplicationID, object userState) {
            if ((this.GetNewVersionOperationCompleted == null)) {
                this.GetNewVersionOperationCompleted = new System.Threading.SendOrPostCallback(this.OnGetNewVersionOperationCompleted);
            }
            this.InvokeAsync("GetNewVersion", new object[] {
                        ApplicationID}, this.GetNewVersionOperationCompleted, userState);
        }
        
        private void OnGetNewVersionOperationCompleted(object arg) {
            if ((this.GetNewVersionCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.GetNewVersionCompleted(this, new GetNewVersionCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/ReportUpdateVersionResult", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public bool ReportUpdateVersionResult(string ComputerNetbiosName, string ApplicationID, string ApplicationName, short MajorVersion, short MinorVersion, bool UpdateResult, int UpdateExitCode) {
            object[] results = this.Invoke("ReportUpdateVersionResult", new object[] {
                        ComputerNetbiosName,
                        ApplicationID,
                        ApplicationName,
                        MajorVersion,
                        MinorVersion,
                        UpdateResult,
                        UpdateExitCode});
            return ((bool)(results[0]));
        }
        
        /// <remarks/>
        public void ReportUpdateVersionResultAsync(string ComputerNetbiosName, string ApplicationID, string ApplicationName, short MajorVersion, short MinorVersion, bool UpdateResult, int UpdateExitCode) {
            this.ReportUpdateVersionResultAsync(ComputerNetbiosName, ApplicationID, ApplicationName, MajorVersion, MinorVersion, UpdateResult, UpdateExitCode, null);
        }
        
        /// <remarks/>
        public void ReportUpdateVersionResultAsync(string ComputerNetbiosName, string ApplicationID, string ApplicationName, short MajorVersion, short MinorVersion, bool UpdateResult, int UpdateExitCode, object userState) {
            if ((this.ReportUpdateVersionResultOperationCompleted == null)) {
                this.ReportUpdateVersionResultOperationCompleted = new System.Threading.SendOrPostCallback(this.OnReportUpdateVersionResultOperationCompleted);
            }
            this.InvokeAsync("ReportUpdateVersionResult", new object[] {
                        ComputerNetbiosName,
                        ApplicationID,
                        ApplicationName,
                        MajorVersion,
                        MinorVersion,
                        UpdateResult,
                        UpdateExitCode}, this.ReportUpdateVersionResultOperationCompleted, userState);
        }
        
        private void OnReportUpdateVersionResultOperationCompleted(object arg) {
            if ((this.ReportUpdateVersionResultCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.ReportUpdateVersionResultCompleted(this, new ReportUpdateVersionResultCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/ReportLatestVersion", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public bool ReportLatestVersion(string ComputerNetbiosName, string ApplicationID, string ApplicationName, short MajorVersion, short MinorVersion) {
            object[] results = this.Invoke("ReportLatestVersion", new object[] {
                        ComputerNetbiosName,
                        ApplicationID,
                        ApplicationName,
                        MajorVersion,
                        MinorVersion});
            return ((bool)(results[0]));
        }
        
        /// <remarks/>
        public void ReportLatestVersionAsync(string ComputerNetbiosName, string ApplicationID, string ApplicationName, short MajorVersion, short MinorVersion) {
            this.ReportLatestVersionAsync(ComputerNetbiosName, ApplicationID, ApplicationName, MajorVersion, MinorVersion, null);
        }
        
        /// <remarks/>
        public void ReportLatestVersionAsync(string ComputerNetbiosName, string ApplicationID, string ApplicationName, short MajorVersion, short MinorVersion, object userState) {
            if ((this.ReportLatestVersionOperationCompleted == null)) {
                this.ReportLatestVersionOperationCompleted = new System.Threading.SendOrPostCallback(this.OnReportLatestVersionOperationCompleted);
            }
            this.InvokeAsync("ReportLatestVersion", new object[] {
                        ComputerNetbiosName,
                        ApplicationID,
                        ApplicationName,
                        MajorVersion,
                        MinorVersion}, this.ReportLatestVersionOperationCompleted, userState);
        }
        
        private void OnReportLatestVersionOperationCompleted(object arg) {
            if ((this.ReportLatestVersionCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.ReportLatestVersionCompleted(this, new ReportLatestVersionCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/ReportAppliceationLatestVersion", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public bool ReportAppliceationLatestVersion(string ComputerNetbiosName, string ApplicationID, string ApplicationName, short MajorVersion, short MinorVersion) {
            object[] results = this.Invoke("ReportAppliceationLatestVersion", new object[] {
                        ComputerNetbiosName,
                        ApplicationID,
                        ApplicationName,
                        MajorVersion,
                        MinorVersion});
            return ((bool)(results[0]));
        }
        
        /// <remarks/>
        public void ReportAppliceationLatestVersionAsync(string ComputerNetbiosName, string ApplicationID, string ApplicationName, short MajorVersion, short MinorVersion) {
            this.ReportAppliceationLatestVersionAsync(ComputerNetbiosName, ApplicationID, ApplicationName, MajorVersion, MinorVersion, null);
        }
        
        /// <remarks/>
        public void ReportAppliceationLatestVersionAsync(string ComputerNetbiosName, string ApplicationID, string ApplicationName, short MajorVersion, short MinorVersion, object userState) {
            if ((this.ReportAppliceationLatestVersionOperationCompleted == null)) {
                this.ReportAppliceationLatestVersionOperationCompleted = new System.Threading.SendOrPostCallback(this.OnReportAppliceationLatestVersionOperationCompleted);
            }
            this.InvokeAsync("ReportAppliceationLatestVersion", new object[] {
                        ComputerNetbiosName,
                        ApplicationID,
                        ApplicationName,
                        MajorVersion,
                        MinorVersion}, this.ReportAppliceationLatestVersionOperationCompleted, userState);
        }
        
        private void OnReportAppliceationLatestVersionOperationCompleted(object arg) {
            if ((this.ReportAppliceationLatestVersionCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.ReportAppliceationLatestVersionCompleted(this, new ReportAppliceationLatestVersionCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        public new void CancelAsync(object userState) {
            base.CancelAsync(userState);
        }
        
        private bool IsLocalFileSystemWebService(string url) {
            if (((url == null) 
                        || (url == string.Empty))) {
                return false;
            }
            System.Uri wsUri = new System.Uri(url);
            if (((wsUri.Port >= 1024) 
                        && (string.Compare(wsUri.Host, "localHost", System.StringComparison.OrdinalIgnoreCase) == 0))) {
                return true;
            }
            return false;
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2556.0")]
    public delegate void GetApplicationVersionCompletedEventHandler(object sender, GetApplicationVersionCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2556.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class GetApplicationVersionCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal GetApplicationVersionCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public System.Data.DataTable Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((System.Data.DataTable)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2556.0")]
    public delegate void GetNewVersionCompletedEventHandler(object sender, GetNewVersionCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2556.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class GetNewVersionCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal GetNewVersionCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2556.0")]
    public delegate void ReportUpdateVersionResultCompletedEventHandler(object sender, ReportUpdateVersionResultCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2556.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class ReportUpdateVersionResultCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal ReportUpdateVersionResultCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2556.0")]
    public delegate void ReportLatestVersionCompletedEventHandler(object sender, ReportLatestVersionCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2556.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class ReportLatestVersionCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal ReportLatestVersionCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2556.0")]
    public delegate void ReportAppliceationLatestVersionCompletedEventHandler(object sender, ReportAppliceationLatestVersionCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2556.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class ReportAppliceationLatestVersionCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal ReportAppliceationLatestVersionCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
    }
}

#pragma warning restore 1591